#ifndef _BLOCK_LIST_H_
#define _BLOCK_LIST_H_

/**
 * @Developed by N V Sreenivasa Rao
 * @Supervisor   Prof Pankaj Jalote
 * @URL          http://www.cse.iitk.ac.in/users/jalote/download/javacoverage/index.html
 * @title        JavaCoverage
 * @version      1.0
 */

/* This List is used to record the blocks that are present in the program
 */

#include "linkedlist.h"

struct block_data   {
	int start_index;
	int start_lineno, end_lineno;
};
typedef struct block_data block_data;
typedef block_data * block_data_ptr;
typedef block_data_ptr block_element;

linkedlist * insert_block(linkedlist *, block_element);

linkedlist *block_list;
#endif /* _BLOCK_LIST_H_ */
