#include "file_times_list.h"
/**
 * @Developed by N V Sreenivasa Rao
 * @Supervisor   Prof Pankaj Jalote
 * @URL          http://www.cse.iitk.ac.in/users/jalote/download/javacoverage/index.html
 * @title        JavaCoverage
 * @version      1.0
 */

int cmp_file_times_data(file_times_data *e1, file_times_data * e2)   {
	return 0;
}

linkedlist *insert_file_times_list(
		linkedlist *l, char *file_name)   {
	file_times_data_ptr e;
	struct stat t;
	if(l == NULL || file_name == NULL)   {
		invalid_arg_error();
		exit(1);
	}
	e = allocate_one_element(file_times_data);
	check_mem_alloc_error(e);
	stat(file_name, &t);
	e->file_name = strdup(file_name);
	e->time = t.st_mtime;
	return insert(l, e,(int(*)(void *, void *))&cmp_file_times_data);
}

static void print_file_times_data(file_times_data * e)   {
	printf(" File Name = %s Time = %ld \n ", e->file_name, e->time);
	return;
}

void print_file_times_list(linkedlist * l)   {
	printf("File times list is printing \n");
	printlist(l, (void(*)(void *))&print_file_times_data);
}
