#ifndef _FILE_TIMES_LIST_H_
#define _FILE_TIMES_LIST_H_
/**
 * @Developed by N V Sreenivasa Rao
 * @Supervisor   Prof Pankaj Jalote
 * @URL          http://www.cse.iitk.ac.in/users/jalote/download/javacoverage/index.html
 * @title        JavaCoverage
 * @version      1.0
 */

/* This List is used to record about all the files and modified 
 * times of the files.
 */

#include "linkedlist.h"

struct file_times_data   {
	char *file_name;
	long time;
};

typedef struct file_times_data file_times_data;
typedef file_times_data * file_times_data_ptr;

linkedlist *insert_file_times_list(linkedlist *,
		char *file_name);
void print_file_times_list(linkedlist *);

linkedlist * file_times_list;
#endif /* _FILE_TIMES_LIST_H_ */
