#ifndef _FLAGS_H_
#define _FLAGS_H_
/**
 * @Developed by  N V Sreenivasa Rao
 * @Supervisor    Prof Pankaj Jalote
 * @URL           http://www.cse.iitk.ac.in/users/jalote/download/javacoverage/index.html
 * @title         JavaCoverage
 * @version       1.0
 */

#define ON  1
#define OFF 0
#define FILE_SEPARATOR '/'

int linear_stmt_flag = OFF;

int index_after_import_statements = 0; 
	/* This is used to store the index of import statements, so that these 
	 * should be present at first */
#ifdef COMMENT_LINENO_COUNT
int comment_lineno_count = 0;
#endif /* COMMENT_LINENO_COUNT */

int classes_include_flag = OFF;
int classes_exclude_flag = OFF;

char ** classes_list = NULL; /* List of included or excluded flags */
int number_of_classes = 0; /* numberof classes in above list */

#endif /*_FLAGS_H_ */
