#ifndef _LINKEDLIST_H_
#define _LINKEDLIST_H_
/**
 * @Developed by N V Sreenivasa Rao
 * @Supervisor   Prof Pankaj Jalote
 * @URL          http://www.cse.iitk.ac.in/users/jalote/download/javacoverage/index.html
 * @title        JavaCoverage
 * @version      1.0
 */

/* This is linked list implementation. Here I had used an empty trailor node.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/stat.h>
#include "error.h"

struct linkedlist   {
	void * element;
	struct linkedlist * next;
};
typedef struct linkedlist linkedlist;
typedef linkedlist * linkedlist_ptr;

linkedlist_ptr initialize(void);
linkedlist_ptr reverse_list(linkedlist_ptr);
linkedlist_ptr insert(linkedlist_ptr, void *element, int(*)(void *, void *) );
int lengthoflist(linkedlist_ptr);
linkedlist_ptr append(linkedlist_ptr dest, linkedlist_ptr src);
linkedlist_ptr rotate_left(linkedlist_ptr);
int indexof(linkedlist_ptr, void *);
void printlist(linkedlist_ptr, void (*)(void *));

#endif /* _LINKEDLIST_H_ */
