#ifndef _STACK_H_
#define _STACK_H_
#include <stdio.h>
#include <stdlib.h>
#include "error.h"
/**
 * @Developed by N V Sreenivasa Rao
 * @Supervisor   Prof Pankaj Jalote
 * @URL          http://www.cse.iitk.ac.in/users/jalote/download/javacoverage/index.html
 * @title        JavaCoverage
 * @version      1.0
 */

#define MAX_BRACE_STACK_SIZE 20
struct brace_stack   {
	int brace_offset[MAX_BRACE_STACK_SIZE];
	int brace_start_lineno[MAX_BRACE_STACK_SIZE];
	int fre;
};
typedef struct brace_stack brace_stack;
typedef brace_stack * brace_stack_ptr;
brace_stack_ptr initialize_brace_stack(void);
void brace_stack_push(brace_stack_ptr, int brace_offset, int start_lineno);
int brace_stack_pop(brace_stack_ptr);

int give_top_start_lineno(brace_stack_ptr);
#endif /* _STACK_H_ */
