#ifndef _TOKEN_H_
#define _TOKEN_H_
/**
 * @Developed by N V Sreenivasa Rao
 * @Supervisor   Prof Pankaj Jalote
 * @URL          http://www.cse.iitk.ac.in/users/jalote/download/javacoverage/index.html
 * @title        JavaCoverage
 * @version      1.0
 */
enum token{block, not_block};

struct struct_def1   {
	char *name;
	int lineno;
	enum token tok;
	int lb_offset, rb_offset; /* For Left & Right brace offsets */
	int start_lineno, end_lineno; /* For statements list or block */
};
typedef struct struct_def1 struct_def1;

int statement_counter; /* Counter for # of statements */
int is_inside_class; /* Flag used to know whether the parsing
				   is inside class or method */
int start_lineno, end_lineno, start_index; /* To catch blocks */ /* Here startindex has different meaning */
int simple_statements_start_lineno; /* It is for unparanthesized ones */

int is_method_block; /* to know whether the block corresponds to a method
			or not */
int is_parsing_if; /* to indicate it is parsing if statement */

#endif /* _TOKEN_H_ */
